use tokio;

async fn task_a() {
    println!("Task A is running...");
    task_b().await; // Awaiting Task B
    println!("Task A is done.");
}

async fn task_b() {
    println!("Task B is running...");
    task_a().await; // Awaiting Task A
    println!("Task B is done.");
}

#[tokio::main]
async fn main() {
    println!("main begins... we will await task a");
    task_a().await; // Start Task A
    println!("main ends");
}

