
use std::thread;

// Function for the first thread
fn task_1() { println!("Thread 1 is running"); }

// Function for the second thread
fn task_2() { println!("Thread 2 is running"); }

fn main() {    
   // Create the threads by passing the named functions    
   let han1 = thread::spawn(task_1);    
   let han2 = thread::spawn(task_2);    
   // Wait for the first thread to complete       
   han1.join().unwrap();   
   // Wait for the second thread to complete    
   han2.join().unwrap();    
   println!("Main thread is done");
}

