
use tokio::task;

async fn task_a() {
    println!("Task A is running...");
    // Simulating awaiting task_b
    let _ = task::spawn(task_b()).await.unwrap(); 
    println!("Task A is done.");
}

async fn task_b() {
    println!("Task B is running...");
    // Simulating awaiting task_a
    let _ = task::spawn(task_a()).await.unwrap(); 
    println!("Task B is done.");
}

#[tokio::main]
async fn main() {
    println!("main begins...");
    task_a().await; // Start Task A
    println!("main ends...");
}
